CRAN Package Check Results for Package PKI

Last updated on 2021-09-24 23:53:57 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1-8 8.01 26.47 34.48 WARN
r-devel-linux-x86_64-debian-gcc 0.1-8 4.77 21.13 25.90 WARN
r-devel-linux-x86_64-fedora-clang 0.1-8 52.52 OK
r-devel-linux-x86_64-fedora-gcc 0.1-8 40.59 OK
r-devel-windows-x86_64 0.1-8 12.00 42.00 54.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.1-8 OK
r-patched-linux-x86_64 0.1-8 6.00 26.31 32.31 WARN
r-patched-solaris-x86 0.1-8 58.20 OK
r-release-linux-x86_64 0.1-8 5.66 26.03 31.69 WARN
r-release-macos-arm64 0.1-8 WARN
r-release-macos-x86_64 0.1-8 OK
r-release-windows-ix86+x86_64 0.1-8 22.00 63.00 85.00 OK
r-oldrel-macos-x86_64 0.1-8 OK
r-oldrel-windows-ix86+x86_64 0.1-8 18.00 48.00 66.00 OK

Check Details

Version: 0.1-8
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:4: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:4: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:4: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.1-8
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     pki-x509.c:428:2: warning: 'CC_MD5' is deprecated: first deprecated in macOS 10.15 - This function is cryptographically broken and should not be used in security contexts. Clients should migrate to SHA256 (or stronger). [-Wdeprecated-declarations]
Flavor: r-release-macos-arm64